Skip to main content
`Ctrl`+`K`

# petsc4py.PETSc.ScatterMode

class petsc4py.PETSc.ScatterMode

  Bases: `object`

  Scatter mode.

  Most commonly used scatter modes are:

  `FORWARD`

    Scatter values in the forward direction.

  `REVERSE`

    Scatter values in the reverse direction.

  See also

  `Scatter.create`, `Scatter.begin`, `Scatter.end`, `ScatterMode`

  Attributes Summary

  `FORWARD` | Constant `FORWARD` of type `int`
  `FORWARD_LOCAL` | Constant `FORWARD_LOCAL` of type `int`
  `REVERSE` | Constant `REVERSE` of type `int`
  `REVERSE_LOCAL` | Constant `REVERSE_LOCAL` of type `int`
  `SCATTER_FORWARD` | Constant `SCATTER_FORWARD` of type `int`
  `SCATTER_FORWARD_LOCAL` | Constant `SCATTER_FORWARD_LOCAL` of type `int`
  `SCATTER_REVERSE` | Constant `SCATTER_REVERSE` of type `int`
  `SCATTER_REVERSE_LOCAL` | Constant `SCATTER_REVERSE_LOCAL` of type `int`

  Attributes Documentation

  FORWARD: int = FORWARD

    Constant `FORWARD` of type `int`

  FORWARD_LOCAL: int = FORWARD_LOCAL

    Constant `FORWARD_LOCAL` of type `int`

  REVERSE: int = REVERSE

    Constant `REVERSE` of type `int`

  REVERSE_LOCAL: int = REVERSE_LOCAL

    Constant `REVERSE_LOCAL` of type `int`

  SCATTER_FORWARD: int = SCATTER_FORWARD

    Constant `SCATTER_FORWARD` of type `int`

  SCATTER_FORWARD_LOCAL: int = SCATTER_FORWARD_LOCAL

    Constant `SCATTER_FORWARD_LOCAL` of type `int`

  SCATTER_REVERSE: int = SCATTER_REVERSE

    Constant `SCATTER_REVERSE` of type `int`

  SCATTER_REVERSE_LOCAL: int = SCATTER_REVERSE_LOCAL

    Constant `SCATTER_REVERSE_LOCAL` of type `int`